Initiate Core v2 sign-in
POST
/api/v2/auth/login
const url = 'https://core.example.com/api/v2/auth/login';const options = { method: 'POST', headers: {'app-token': '<app-token>', 'Content-Type': 'application/json'}, body: '{"email":"hello@example.com","password":"example","private_key":"example","locale":"en","banking_api":false,"method":"example","pin":"example","chinese_checkout":true,"api_request":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://core.example.com/api/v2/auth/login \ --header 'Content-Type: application/json' \ --header 'app-token: <app-token>' \ --data '{ "email": "hello@example.com", "password": "example", "private_key": "example", "locale": "en", "banking_api": false, "method": "example", "pin": "example", "chinese_checkout": true, "api_request": true }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
email
required
string format: email
password
string format: password
private_key
string
locale
string
banking_api
boolean
method
string
pin
string
chinese_checkout
boolean
api_request
boolean
Responses
Section titled “ Responses ”Session created; the confirmation method is provided in method
Media typeapplication/json
object
success
required
boolean
status
required
integer
session_token
string
session
string
expiration
string
wallet_type
string
current_currency
string
country
string
method
string
user_id
integer
Example
{ "success": true, "status": 200}Authorization, validation, or business-rule error
Media typeapplication/json
object
success
required
boolean
status
required
integer
errors
required
One of:
Array<object>
object
code
string
kind
string
expiration
string
session
string
key
additional properties
any
object
key
additional properties
any
string
key
additional properties
any
Example
{ "success": false, "status": 403}User not found for an api_request
Media typeapplication/json
object
success
required
boolean
status
required
integer
errors
required
One of:
Array<object>
object
code
string
kind
string
expiration
string
session
string
key
additional properties
any
object
key
additional properties
any
string
key
additional properties
any
Example
{ "success": false, "status": 403}